Ocena wątku:
  • 0 głosów - średnia: 0
  • 1
  • 2
  • 3
  • 4
  • 5
Mint i AMDGPU-PRO, OPENCL
#1
0
Mam w swoim kompie kartę AMD, która w założeniu ma służyć do liczenia (AI, Blender). Żeby to "zagrało" nie wystarczy opensource'owy AMDGPU, trzeba zainstalować AMDGPU-PRO.
Problem 1: wersja AMDGPU-PRO dla Ubuntu drze się podczas próby instalacji, że jej się distro nie podoba i tyle.

Rozwiązanie: przed instalacją należy wyedytować plik /etc/os-release i zmienić linie:

Kod:
ID=linuxmint
VERSION_ID="19.1"

na:

Kod:
ID=ubuntu
VERSION_ID="18.04.1"

To pozwala na uruchomienie skryptu instalacyjnego "amdgpu-pro-install". Po instalacji można sobie zmienić wpisy w os-release.

Problem 2: Po "apt upgrade" i instalacji nowej wersji jądra system nie startuje (black screen). Powodem jest to że nie budują się moduły amdgpu dla nowego jajka.

Rozwiązanie: Trzeba uruchomić system w trybie recovery (nowe jądro), zmienić wpisy w /etc/os-release jak w punkcie 1 i wykonać polecenie:

Kod:
dpkg-reconfigure amdgpu-dkms


Po restarcie będzie OK.

Problem 3: AMD RX Vega w wersji referencyjnej ma wyjścia 3xDP i 1xHDMI. U mnie żadna nowsza dystrybucja nie chciała się uruchomić po HDMI, a w zasadzie to uruchamiała się, ale z czarnym ekranem (mam monitor bez gniazd DP). Po analizie logów wyszło, że "HDMI-A-0 diconnected". Google podpowiedziało, żeby użyć najgorszej jakości kabla HDMI jaki się znajdzie. Faktycznie - z dobrym, nowym kablem ze złoconymi stykami nie działa, ze starym, najtańszym szmelcem w zasadzie nie ma problemu. Powodem podobno jest jakiś bug w wersji 18.50 AMDGPU.

Rozwiązanie: słaby kabel HDMI, albo przejściówka DP-HDMI i dobry kabel. Polecam drugie rozwiązanie. Przy pierwszym zdarza się czasem, że i tak co któryś restart jest black screen.


A tak BTW, to jestem tu nowy, więc witam. Smile
Odpowiedz
#2
0
Witam nowego Big Grin

Proponowałbym uzupełnić ten poradnik o informacje na temat przełączania się pomiędzy radeonem i amdgpu. (chyba, że w systemach *buntowych nie ma takiej potrzeby).

W pierwszych wersjach sterownika AMDGPU-PRO wystarczyła odpowiednia korekta skryptu instalacyjnego, który sprawdzał ID w /etc/os-release, potem od wersji 18.30 wprowadzili sprawdzanie VERSION_ID, ale to już odbywa się z poziomu skryptu instalacyjnego paczki amdgpu-core.
Jakby skorygować, same skrypty instalacyjne, to być może odpadłby problem nr2. Kwestia do rozeznania.

Swoją drogą ostatnio zastanawiam się czy w ogóle warto kopać się z koniem bo, wg testów na Phoronix (https://www.phoronix.com/scan.php?page=a...1830&num=1), wydajność otwartego sterownika radeon  jest na podobnym poziomie co tego zamkniętego amdgpu-pro.

Jest jakiś szczególny powód dla którego wybrałeś akurat sterownik amdgpu?

Poniżej zawartość skryptu preinst z paczki amdgpu-core:
Kod:
#!/bin/bash
set -e
. /etc/os-release
if [ "$VERSION_ID" != "18.04" ] ; then
    >&2 echo "ERROR: This package can only be installed on Ubuntu 18.04."
    exit 1
fi
exit 0
Odpowiedz
#3
0
Niby jest otwartoźródłowy sterownik OpenCL (ROCm), ale Blender nie daje się zmusić do współpracy z nim. Z AMDGPU-PRO zapieprza aż wentyl na Vedze furczy Wink
Odpowiedz
#4
0
Niedawno ukazała się wersja 18.50.
Oficjalna instrukcja instalacji https://amdgpu-install.readthedocs.io/en/latest/

Przy okazji zauważyłem błąd w instrukcji z pierwszego posta cytuję:
Cytat:VERSION_ID="18.04.1"
Odpowiedz
#5
0
No właśnie tą wersję mam. O ile w OpenCL (Blender) nie ma żadnych problemów, z Quake (Darkplaces) też nie, to w grach OpenGL ze Steama zdarzają się artefakty (AtomRPG, DOTA). Co ciekawe - DOTA w OpenGL krzaczy, ale na Vulkanie jest idealnie. Widocznie jakieś bugi w sterowniku, ale na grach niespecjalnie mi zależy.
Odpowiedz
#6
0
A jaką masz wersję sterownika?
Odpowiedz
#7
0
[ 6.543760] [drm] amdgpu version: 18.50.1.418

AMDGPU i AMDGPU-PRO to przecież to samo. Różnica jest tylko w wywołaniu skryptu, albo instaluje się OpenCL i pro wersje OpenGL/Vulkan (wtedy jest PRO), albo nie. Przynajmniej tak by wynikało z instrukcji instalacji:
Co do błędu, to nie robi różnicy czy jest 18.04 czy 18.04.1 (sprawdzone - widocznie skrypt sprawcza tylko pierwsze pięć znaków), ale fakt, jedynka została mi nieskasowana z wersji Minta.
Odpowiedz
#8
0
(09-04-2019, 22:06)Jenot napisał(a): [    6.543760] [drm] amdgpu version: 18.50.1.418
I taką wersję miałeś w momencie pisania poradnika?

(09-04-2019, 22:06)Jenot napisał(a): AMDGPU i AMDGPU-PRO to przecież to samo.
Nie, to nie jest to samo Smile

(09-04-2019, 22:06)Jenot napisał(a): Co do błędu, to nie robi różnicy czy jest 18.04 czy 18.04.1 (sprawdzone - widocznie skrypt sprawcza tylko pierwsze pięć znaków), ale fakt, jedynka została mi nieskasowana z wersji Minta.
No raczej jest różnica, spójrz na skrypt preinst, który wyciągnąłem z paczki amdgpu-core sterownika w wersji 18.30 i przetestuj działanie tych wartości.
Chyba, że uruchamiasz ten skrypt instalacyjny z jakąś opcją, która pomija paczkę amdgpu-core wtedy VERSION_ID nie powinno mieć żadnego znaczenia.

Dla pewności sprawdzę co jest w 18.50 w kwestii VERSION_ID
Odpowiedz
#9
0
Cytat:I taką wersję miałeś w momencie pisania poradnika?

Tak. Ściągnięte w 3/04 - wtedy stawiałem minta, od tamtej pory nic nie zmieniane, chociaż po forach krążą słuchy o wersji 19.10 (ale może to tylko plotki).

Cytat:Nie, to nie jest to samo Smile

To samo w tym sensie, że jak już decydujesz się na sterownik od AMD to wszystko jest w jednej paczce (AMDGPU i AMDGPU-PRO), różnica jest w opcjach wywołania skryptu.

Cytat:No raczej jest różnica, spójrz na skrypt preinst, który wyciągnąłem z paczki amdgpu-core sterownika w wersji 18.30 i przetestuj działanie tych wartości.
Chyba, że uruchamiasz ten skrypt instalacyjny z jakąś opcją, która pomija paczkę amdgpu-core wtedy VERSION_ID nie powinno mieć żadnego znaczenia.
amdgpu-core nie instaluje się chyba tylko jak dasz opcję "headless".

Ja szczerze mówiąc nie zagłębiałem się bardzo - zainstalowałem, uruchomiłem blendera (wersję stabilną i rozwojową z "combined CPU/GPU OpenCL", zapodałem jakieś zarzynające sprzęt rendery), parę gierek - wszystko działa, nic się nie wiesza = mission accomplished Wink
Odpowiedz
#10
0
Ok, przetestuję instalację tego sterownika 18.50 i sprawdzę jak to rzeczywiście jest w tym najnowszym.
Odpowiedz


Skocz do:


Użytkownicy przeglądający ten wątek: 1 gości